package com.ruoyi.web.modules.pay.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支付流水 biz_pay_record
 */
public class BizPayRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long payId;

    private Long orderId;

    private String orderNo;

    private Long memberId;

    private Long shopId;

    private String payChannel;

    private String outTradeNo;

    private String wxTransactionId;

    private String prepayId;

    private BigDecimal payAmount;

    private String payStatus;

    private Date notifyTime;

    public Long getPayId()
    {
        return payId;
    }

    public void setPayId(Long payId)
    {
        this.payId = payId;
    }

    public Long getOrderId()
    {
        return orderId;
    }

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderNo()
    {
        return orderNo;
    }

    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public Long getMemberId()
    {
        return memberId;
    }

    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public String getPayChannel()
    {
        return payChannel;
    }

    public void setPayChannel(String payChannel)
    {
        this.payChannel = payChannel;
    }

    public String getOutTradeNo()
    {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo)
    {
        this.outTradeNo = outTradeNo;
    }

    public String getWxTransactionId()
    {
        return wxTransactionId;
    }

    public void setWxTransactionId(String wxTransactionId)
    {
        this.wxTransactionId = wxTransactionId;
    }

    public String getPrepayId()
    {
        return prepayId;
    }

    public void setPrepayId(String prepayId)
    {
        this.prepayId = prepayId;
    }

    public BigDecimal getPayAmount()
    {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount)
    {
        this.payAmount = payAmount;
    }

    public String getPayStatus()
    {
        return payStatus;
    }

    public void setPayStatus(String payStatus)
    {
        this.payStatus = payStatus;
    }

    public Date getNotifyTime()
    {
        return notifyTime;
    }

    public void setNotifyTime(Date notifyTime)
    {
        this.notifyTime = notifyTime;
    }
}
